{% extends "base.html" %}
{% block content %}
<script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>

<script type="text/javascript">
    function addRoom() {
        var room = parseInt($("div#room").find("div:last").data("id")) + 1;

        $("div#room").append("<div data-id = \"" + room + "room\">Тип размещения: " +
            "<select name=\"" + room + "room\">{%for c in class_room%}<option value=\"{{c[0]}}\">{{c[1]}}</option>" +
                "{%endfor%} </select>  Количество комнат: <input type=\"number\" name=\"" + room +
            "count\"> Стоимость/день: <input type=\"number\" name=\"" + room + "price_r\"></br></br></div></div>")
    }

    function addMeals() {
        var meal = parseInt($("div#meals").find("div:last").data("id")) + 1;

        $("div#meals").append("<div data-id=\"" + meal + "meal\"><select name=\"" + meal +
            "meal\">{%for c in meals%}<option value=\"{{c[0]}}\">{{c[1]}}</option>{%endfor%}</select> Стоимость/день: " +
            "<input type=\"number\" name=\"" + meal + "price_m\"></div></br>")

    }
</script>
    {% if id == -2 %}
        <h2>Отель добавлен</h2>
    {% endif %}
<form action="/add_hotel" method="post">
    Название отеля: <input type="text" size="30" name="hotel"></br></br>
    Рейтинг: <input type="number" name="rait"></br></br>

    Страна: <select name="country">
            {%for c in country%}
                <option value="{{c[0]}}">{{c[1]}}</option>
            {%endfor%}

            </select></br></br>
    Город:  <select name="city">
            {%for c in city%}
                <option value="{{c[0]}}">{{c[1]}}</option>
            {%endfor%}

            </select></br></br>

    Описание: </br>
            <textarea name="desc" cols="50" rows="5"></textarea></br></br>

    <div id="room">
        <div data-id="1room">

        Тип размещения:
            <select name="1room">
                {%for c in class_room%}
                    <option value="{{c[0]}}">{{c[1]}}</option>
                {%endfor%}
            </select>

            Количество комнат: <input type="number" name="1count">
            Стоимость/день:
            <input type="number" name="1price_r"></br></br>
        </div>

    </div>
    <input type="button" onclick="addRoom();" value="Добавить"></br></br>
    Питание:
    <div id="meals">
        <div data-id="1meal">
            <select name="1meal">
                {%for c in meals%}
                    <option value="{{c[0]}}">{{c[1]}}</option>
                {%endfor%}
            </select>
            Стоимость/день:
            <input type="number" name="1price_m">
        </div></br>
    </div>
    <input type="button" onclick="addMeals();" value="Добавить"></br></br>
    <input type="submit" value="Сохранить">
</form>

{% endblock %}